# eoIncrementor< T > Class Template Reference

an eoUpdater that simply increments a counter More...

`#include <eoUpdater.h>`

Inheritance diagram for eoIncrementor< T >:

List of all members.

## Public Member Functions

| eoIncrementor (T &_counter, T _stepsize=1)
| Default Ctor - requires a reference to the thing to increment.
virtual void | operator() ()
| Simply increments.
virtual std::string | className (void) const

## Private Attributes

T & | counter
T | stepsize

## Detailed Description

### template<class T>
class eoIncrementor< T >

an eoUpdater that simply increments a counter

Definition at line 50 of file eoUpdater.h.

The documentation for this class was generated from the following file:

- eoUpdater.h